## visad.data.dods
Class Float32AttributeAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.AttributeAdapter
              visad.data.dods.NumericAttributeAdapter
                  visad.data.dods.FloatAttributeAdapter
                      visad.data.dods.Float32AttributeAdapter

public class Float32AttributeAdapter
extends FloatAttributeAdapter

Provides support for adapting a DODS `Attribute.FLOAT32` attribute to the VisAD data-import context.

Instances are immutable.

Constructor Summary
`Float32AttributeAdapter(String name, Attribute attr)` Constructs from a name and an appropriate attribute.

Method Summary
`protected float` `floatValue(String spec)` Returns the numeric value corresponding to a floating-point string specification.

Methods inherited from class visad.data.dods.FloatAttributeAdapter
`number, visadSet`

Methods inherited from class visad.data.dods.NumericAttributeAdapter
`data, getAttributeName, getRealType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Float32AttributeAdapter

    public Float32AttributeAdapter(String name,
                                   Attribute attr)
                            throws VisADException

  Constructs from a name and an appropriate attribute.

Parameters:
  `name` - The name of the attribute.
  `attr` - The attribute. Must have the appropriate type.
Throws:
  `VisADException` - VisAD failure. Probably the attribute has an inappropriate type.

Method Detail

### floatValue

    protected float floatValue(String spec)

  Returns the numeric value corresponding to a floating-point string specification.

  Specified by:
    `floatValue` in class `FloatAttributeAdapter`
  Parameters:
    `spec` - A floating-point string specification.
  Returns:
    The numeric value corresponding to the string specification.